Skip to main content
GET
List saved samples or reviewed messages for a sequence's agent

Authorizations

X-API-Key
string
header
required

Path Parameters

sequence_id
string<uuid>
required

Query Parameters

view
enum<string>
default:samples
Available options:
samples,
reviewed
record_id
string<uuid> | null
slot_key
string | null
Maximum string length: 255
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:id
Available options:
id
order_direction
enum<string>
default:desc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
SequenceAgentExampleReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.